eoExternalQuadOp(3)

NAME
eoExternalQuadOp - Crossover of external struct, ctor expects a function of the following signature:.

SYNOPSIS

#include <eoExternalOpFunctions.h>

Inherits eoQuadOp< ExternalEO >.

  Public Member Functions
eoExternalQuadOp (bool(*_quadop)(External &, External &))
bool operator() (ExternalEO &eo1, ExternalEO &eo2)
The pure virtual function that needs to be implemented by the subclass.

  Private Attributes
bool(* quadop )(External &, External &)

Detailed Description

  template<class F, class External, class ExternalEO = eoExternalEO<F, External>> class eoExternalQuadOp< F, External, ExternalEO >
Crossover of external struct, ctor expects a function of the following signature:. bool func(External&, External&);

Where External is the user defined struct or class The function should return true when it changed something, false otherwise

Definition at line 154 of file eoExternalOpFunctions.h.

Author

Generated automatically by Doxygen for EO from the source code.